> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/payout/submit-a-payout/indonesia/wallet.md).

# Wallet

## Payout by Wallet

<mark style="color:green;">`POST`</mark> `https://sandbox.transfersmile.com/api/payout`

This endpoint allows you to submit a payout by Wallet in Indonesia.

For Wallet payouts, use `WALLET` as the payout method and specify the wallet type through the `channel` parameter.

{% hint style="info" %}
Indonesia Wallet payouts only support integer amounts. Decimal amounts are not supported.
{% endhint %}

{% hint style="info" %}
For DANA, the supported payout amount range is `20000` to `999999999` IDR. For Gopay, Shopeepay, OVO, and LinkAja, the supported payout amount range is `10000` to `999999999` IDR.
{% endhint %}

***

## Supported Wallet Channels

| Parameter                                           | Type   | Description                                                                                                                          |
| --------------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------ |
| method<mark style="color:red;">\*</mark>            | string | Fixed value: `WALLET`                                                                                                                |
| channel<mark style="color:red;">\*</mark>           | string | <p>Wallet type</p><p>- <code>DANA</code>, <code>Gopay</code>, <code>Shopeepay</code>, <code>OVO</code> or <code>LinkAja</code> -</p> |
| arrival\_currency<mark style="color:red;">\*</mark> | string | Fixed value: `IDR`                                                                                                                   |

***

## Request Body

| Parameter          | Type   | Required | Constraints                                                                                                                                                | Description                                                                    |
| ------------------ | ------ | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------ |
| amount             | string | Yes      | <p>Integer only</p><p>DANA: <code>20000</code> - <code>999999999</code></p><p>Gopay/Shopeepay/OVO/LinkAja: <code>10000</code> - <code>999999999</code></p> | Payout amount.                                                                 |
| source\_currency   | string | Yes      | One of: `USD`, `EUR`, `GBP`, `IDR`                                                                                                                         | Source currency.                                                               |
| arrival\_currency  | string | Yes      | Fixed value: `IDR`                                                                                                                                         | Arrival currency.                                                              |
| fee\_bear          | string | Yes      | One of: `merchant`, `beneficiary`                                                                                                                          | Specifies who bears the processing fee.                                        |
| name               | string | Yes      | -                                                                                                                                                          | Beneficiary's name.                                                            |
| custom\_code       | string | Yes      | Max length: 40 characters; must be unique                                                                                                                  | The merchant-side payout order ID.                                             |
| notify\_url        | string | Yes      | Valid URL                                                                                                                                                  | The URL used to receive asynchronous payout notifications.                     |
| account\_type      | string | Yes      | Fixed value: `PHONE`                                                                                                                                       | Account type.                                                                  |
| account            | string | Yes      | Max length: 15 characters                                                                                                                                  | Beneficiary's wallet account. Use the phone number registered with the wallet. |
| country            | string | Yes      | Fixed value: `IDN`                                                                                                                                         | Beneficiary country.                                                           |
| method             | string | Yes      | Fixed value: `WALLET`                                                                                                                                      | Payout method.                                                                 |
| channel            | string | Yes      | One of: `DANA`, `Gopay`, `Shopeepay`, `OVO`, `LinkAja`                                                                                                     | Wallet channel.                                                                |
| additional\_remark | string | Yes      | Max length: 200 characters                                                                                                                                 | Additional payout remark.                                                      |

***

## Request Sample

```json
{
  "amount": "20000",
  "source_currency": "USD",
  "arrival_currency": "IDR",
  "fee_bear": "merchant",
  "name": "Yu********al",
  "custom_code": "custom_code********qF",
  "notify_url": "https://sandbox.transfersmile.com/api/notify/demo",
  "account_type": "PHONE",
  "account": "08*********45",
  "country": "IDN",
  "method": "WALLET",
  "channel": "DANA",
  "additional_remark": "from test"
}
```

***

## Response

```json
{
  "code": 200,
  "msg": "success",
  "time": 1783333909,
  "data": {
    "id": "TS202607061031495PeL3AeNhiEWID",
    "custom_code": "custom_code539867627196661YTUj",
    "arrival_amount": "10000",
    "arrival_currency": "IDR",
    "source_amount": "0.673",
    "source_currency": "USD",
    "status": "IN_PROCESSING"
  }
}
```
